Skip to main content
POST
/
rfqs
/
{rfqUid}
/
place-offer
Place new offer on an open RFQ
curl --request POST \
  --url https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}/place-offer \
  --header 'APIKey: <api-key>' \
  --header 'Authent: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bid": 100.5,
  "ask": 101.75
}
'
{
  "offerUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": "success",
  "serverTime": "2020-08-27T17:03:33.196Z"
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

APIKey
string
header
required

General API key with at least read-only access

Authent
string
header
required

Authentication string

Path Parameters

rfqUid
string<uuid>
required

Unique identifier for the RFQ

Body

application/json
bid
number<number>

The bid price (optional)

ask
number<number>

The ask price (optional)

Response

200 - application/json

Placed bid

offerUid
string<uuid>
required
result
enum<string>
required
Available options:
success
Example:

"success"

serverTime
string<date-time>
required

Server time in Coordinated Universal Time (UTC)

Example:

"2020-08-27T17:03:33.196Z"